### Method

# Gtk Svg get_state_names

since: 4.22

#### Declaration [src]

    const char**
    gtk_svg_get_state_names (
      GtkSvg* self,
      unsigned int* length
    )

#### Description [src]

Returns a `NULL`-terminated array of state names, if available.

Note that the returned array and the strings contained in it will only be valid until the `GtkSvg` is cleared or reloaded, so if you want to keep it around, you should make a copy.

Available since: 4.22

#### Parameters

`length`

  Type: `unsigned int*`

  Return location for the number of strings that are returned.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.

#### Return value

Type: An array of `utf8`

The state names.

The array is `NULL`-terminated.
The returned data is owned by the instance.
The return value can be `NULL`.
Each element is a NUL terminated UTF-8 string.